from app.models import Role
from flask_wtf import FlaskForm
from wtforms import BooleanField, SelectField, SubmitField


class AdminEditUserForm(FlaskForm):
    confirmed = BooleanField('Confirmed')
    role = SelectField('Role')
    submit = SubmitField('Submit')

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.role.choices = [(x.hashid, x.name) for x in Role.query.all()]
